<?xml version="1.0"?>

<!-- For more information on using web.config transformation visit http://go.microsoft.com/fwlink/?LinkId=125889 -->

<configuration xmlns:xdt="http://schemas.microsoft.com/XML-Document-Transform">
  <!--
    In the example below, the "SetAttributes" transform will change the value of 
    "connectionString" to use "ReleaseSQLServer" only when the "Match" locator 
    finds an atrribute "name" that has a value of "MyDB".
    
    <connectionStrings>
      <add name="MyDB" 
        connectionString="Data Source=ReleaseSQLServer;Initial Catalog=MyReleaseDB;Integrated Security=True" 
        xdt:Transform="SetAttributes" xdt:Locator="Match(name)"/>
    </connectionStrings>
  -->
  <appSettings>
    <add key="UrlAPI" value="http://bfaspuc01t.fideuram.bancafideuram.it:8080/fu-app" xdt:Transform="SetAttributes" xdt:Locator="Match(key)" />
  </appSettings>

  <connectionStrings>
    <add name="SqlServerConsulenzaEvolutaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=bfdscb01t.fideuram.bancafideuram.it; Database=ConsulenzaEvoluta;User Id=F701263; Password=atr239; Max Pool Size=10" xdt:Transform="SetAttributes" xdt:Locator="Match(name)"/>
    <add name="SqlServerConsulenzaUnicaConnection" providerName="System.Data.SqlClient" connectionString="Data Source=bfdspuc01t.fideuram.bancafideuram.it; Database=ConsulenzaUnica;User Id=userHP; Password=userHP2; Max Pool Size=10" xdt:Transform="SetAttributes" xdt:Locator="Match(name)"/>
  </connectionStrings>

  <system.web>
    <compilation xdt:Transform="RemoveAttributes(debug)" />
    <!--
      In the example below, the "Replace" transform will replace the entire 
      <customErrors> section of your web.config file.
      Note that because there is only one customErrors section under the 
      <system.web> node, there is no need to use the "xdt:Locator" attribute.
      
      <customErrors defaultRedirect="GenericError.htm"
        mode="RemoteOnly" xdt:Transform="Replace">
        <error statusCode="500" redirect="InternalError.htm"/>
      </customErrors>
    -->
  </system.web>

  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true"/>
  </system.webServer>
  <applicationSettings xdt:Transform="Replace">
    <Consulenza.Web.Properties.Settings>
      <setting name="Consulenza_Web_ConsulenzaBaseWS_WSProposta" serializeAs="String" xdt:Transform="SetAttributes" xdt:Locator="Match(name)">
        <value>http://localhost/Consulenza.Base.Proposta.Services/WSProposta.asmx</value>
      </setting>
      <setting name="Consulenza_Web_ConsulenzaImmobiliareWS_WSImmobiliare"
        serializeAs="String" xdt:Transform="SetAttributes" xdt:Locator="Match(name)">
        <value>http://localhost/Consulenza.Immobiliare.Services/WSImmobiliare.asmx</value>
      </setting>
      <setting name="Consulenza_Web_ConsulenzaUnicaWS_ReportManager"
        serializeAs="String" xdt:Transform="SetAttributes" xdt:Locator="Match(name)">
        <value>http://localhost/Consulenza.Unica.Services/ReportManager.asmx</value>
      </setting>
    </Consulenza.Web.Properties.Settings>
  </applicationSettings>

</configuration>